FOAMTOVTK(1)

NAME
foamToVTK - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
foamToVTK [OPTIONS]

DESCRIPTION
General OpenFOAM to VTK file writer

OPTIONS

-allRegions
    Operate on all regions in regionProperties

-ascii
    Write in ASCII format instead of binary

-case dir
    Specify case directory to use (instead of the cwd)

-constant
    Include the 'constant/' dir in the times list

-fields wordRes
    Specify single or multiple fields to write (all by default) Eg, 'T' or '(p T U "alpha.*")'

-latestTime
    Select the latest time

-name subdir
    Directory name for VTK output (default: 'VTK')

-no-boundary
    Suppress output for boundary patches

-no-internal
    Suppress output for internal volume mesh

-no-lagrangian
    Suppress writing lagrangian positions and fields

-no-point-data
    Suppress conversion of pointFields. No interpolated PointData.

-noZero
    Exclude the '0/' dir from the times list

-one-boundary
    Combine all patches into a single file

-overwrite
    Remove any existing VTK output directory

-parallel
    Run in parallel [Parallel option]

-patches wordRes
    Specify single patch or multiple patches to write Eg, 'top' or '( front ".*back" )'

-region name
    Specify alternative mesh region

-regions wordRes
    Operate on selected regions from regionProperties. Eg, '( gas "solid.*" )'

-time ranges
    List of ranges. Eg, ':10,20 40:70 1000:', 'none', etc

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-cellSet name
    Convert mesh subset corresponding to specified cellSet

-cellZone name
    Convert mesh subset corresponding to specified cellZone

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-decomposeParDict file
    Use specified file for decomposePar dictionary

-excludePatches wordRes
    Specify single patch or multiple patches to exclude from writing. Eg, 'outlet' or '( inlet ".*Wall" )'

-faceSet name
    Convert specified faceSet only

-faceZones wordRes
    Specify single or multiple faceZones to write Eg, 'cells' or '( slice "mfp-.*" )'.

-fileHandler handler
    Override the file handler type

-finiteAreaFields
    Write finite area fields

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-legacy
    Write legacy format instead of xml

-lib name
    Additional library or library list to load (can be used multiple times)

-nearCellValue
    Use cell value on patches instead of patch value itself

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-pointSet name
    Convert specified pointSet only

-poly-decomp
    Decompose polyhedral cells into tets/pyramids

-processor-fields
    Write field values on processor boundaries only

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-surfaceFields
    Write surfaceScalarFields (eg, phi)

-with-ids
    Additional mesh id fields (cellID, procID, patchID)

-with-point-ids
    Additional pointID field for internal mesh

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-allPatches (now -one-boundary)
    The option was last used in 1806.

-noLagrangian (now -no-lagrangian)
    The option was last used in 1806.

-noPointValues (now -no-point-data)
    The option was last used in 1806.

-noFaceZones
    This option is ignored after 1806.

-noLinks
    This option is ignored after 1806.

-poly
    This option is ignored after 1806.

-useTimeName
    This option is ignored after 1806.

-xml
    This option is ignored after 1806.

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.